Get source
curl --request GET \
--url https://sync.trychroma.com/api/v1/sources/{source_id} \
--header 'x-chroma-token: <api-key>'import requests
url = "https://sync.trychroma.com/api/v1/sources/{source_id}"
headers = {"x-chroma-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-chroma-token': '<api-key>'}};
fetch('https://sync.trychroma.com/api/v1/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"github": {
"repository": "<string>",
"app_id": "<string>",
"include_globs": [
"<string>"
]
},
"chunking": {
"type": "tree_sitter",
"max_size_bytes": 1
},
"created_at": "2023-11-07T05:31:56Z",
"database_name": "<string>",
"embedding": {
"dense": {
"model": "Qwen/Qwen3-Embedding-0.6B",
"task": {
"task_name": "<string>",
"document_prompt": "<string>",
"query_prompt": "<string>"
}
},
"sparse": {
"key": "<string>"
}
},
"embedding_model": {
"model": "Qwen/Qwen3-Embedding-0.6B",
"task": {
"task_name": "<string>",
"document_prompt": "<string>",
"query_prompt": "<string>"
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Source
Get source
Returns details of a source with the provided ID.
GET
/
api
/
v1
/
sources
/
{source_id}
Get source
curl --request GET \
--url https://sync.trychroma.com/api/v1/sources/{source_id} \
--header 'x-chroma-token: <api-key>'import requests
url = "https://sync.trychroma.com/api/v1/sources/{source_id}"
headers = {"x-chroma-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-chroma-token': '<api-key>'}};
fetch('https://sync.trychroma.com/api/v1/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));false{
"github": {
"repository": "<string>",
"app_id": "<string>",
"include_globs": [
"<string>"
]
},
"chunking": {
"type": "tree_sitter",
"max_size_bytes": 1
},
"created_at": "2023-11-07T05:31:56Z",
"database_name": "<string>",
"embedding": {
"dense": {
"model": "Qwen/Qwen3-Embedding-0.6B",
"task": {
"task_name": "<string>",
"document_prompt": "<string>",
"query_prompt": "<string>"
}
},
"sparse": {
"key": "<string>"
}
},
"embedding_model": {
"model": "Qwen/Qwen3-Embedding-0.6B",
"task": {
"task_name": "<string>",
"document_prompt": "<string>",
"query_prompt": "<string>"
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
Source ID
Response
Found source with provided ID
- Option 1
- Option 2
- Option 3
- Option 4
Was this page helpful?
⌘I